#pragma once
#include<string>
#include <tchar.h>
#include <windows.h>
#include <ShlObj.h>
#include "KeyVar.h"
#include "Logini.h"
#include "CharConvert.h"
#include "FileCore.h"


class CCmd
{
private:
	STARTUPINFO si;
	PROCESS_INFORMATION pi;
public:
	bool m_IsWin8InstallNet = false;
public:
	 CCmd();
	//静默安装指令
	 BOOL Installcmd();
	//打开App指令：暂时没有用到这个函数：直接使用启动程序接口来打开便可
	 BOOL OpenAppcmd();
	 BOOL Executecmd(TCHAR pszCmdLine[], bool isVBA = false);
	 bool GetVBA_UTF8();
	 bool GetVBA_UTF16();
	 BOOL InstallNetcmd();
	 BOOL InstallVcPlusPluscmd();
};

